#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = OpenStepExtensions

PROJECTVERSION = 2.8
PROJECT_TYPE = Component

CLASSES = NSApplication-OAExtensions.m NSAttributedString-OAExtensions.m\
          NSBrowser-OAExtensions.m NSBundle-OAExtensions.m\
          NSCell-OAExtensions.m NSControl-OAExtensions.m\
          NSFileWrapper-OAExtensions.m NSFont-OAExtensions.m\
          NSImage-OAExtensions.m NSPasteboard-OAExtensions.m\
          NSPopUpButton-OAExtensions.m NSScrollView-OAExtensions.m\
          NSSliderCell-OAExtensions.m NSSplitView-OAExtensions.m\
          NSString-OAExtensions.m NSText-OAExtensions.m\
          NSTextField-OAExtensions.m NSView-OAExtensions.m\
          NSWindow-OAExtensions.m

HFILES = NSApplication-OAExtensions.h NSAttributedString-OAExtensions.h\
         NSBrowser-OAExtensions.h NSBundle-OAExtensions.h\
         NSCell-OAExtensions.h NSControl-OAExtensions.h\
         NSFileWrapper-OAExtensions.h NSFont-OAExtensions.h\
         NSImage-OAExtensions.h NSPasteboard-OAExtensions.h\
         NSPopUpButton-OAExtensions.h NSScrollView-OAExtensions.h\
         NSSliderCell-OAExtensions.h NSSplitView-OAExtensions.h\
         NSString-OAExtensions.h NSText-OAExtensions.h\
         NSTextField-OAExtensions.h NSView-OAExtensions.h\
         NSWindow-OAExtensions.h

OTHERSRCS = Makefile.preamble Makefile Makefile.postamble


MAKEFILEDIR = $(NEXT_ROOT)/NextDeveloper/Makefiles/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = subproj.make
NEXTSTEP_INSTALLDIR = $(OMNI_FRAMEWORKS)
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)


PUBLIC_HEADERS = NSApplication-OAExtensions.h\
                 NSAttributedString-OAExtensions.h\
                 NSBrowser-OAExtensions.h NSBundle-OAExtensions.h\
                 NSFont-OAExtensions.h NSImage-OAExtensions.h\
                 NSPasteboard-OAExtensions.h NSPopUpButton-OAExtensions.h\
                 NSScrollView-OAExtensions.h NSSplitView-OAExtensions.h\
                 NSString-OAExtensions.h NSText-OAExtensions.h\
                 NSTextField-OAExtensions.h NSView-OAExtensions.h\
                 NSWindow-OAExtensions.h NSControl-OAExtensions.h\
                 NSCell-OAExtensions.h NSSliderCell-OAExtensions.h

PROJECT_HEADERS = NSString-OAExtensions.h NSControl-OAExtensions.h



NEXTSTEP_BUILD_OUTPUT_DIR = $(OMNI_BUILDOUTPUT)/Frameworks/$(NAME)

NEXTSTEP_OBJCPLUS_COMPILER = /usr/bin/cc
WINDOWS_OBJCPLUS_COMPILER = $(DEVDIR)/gcc
PDO_UNIX_OBJCPLUS_COMPILER = $(NEXTDEV_BIN)/gcc
NEXTSTEP_JAVA_COMPILER = /usr/bin/javac
WINDOWS_JAVA_COMPILER = $(JDKBINDIR)/javac.exe
PDO_UNIX_JAVA_COMPILER = $(NEXTDEV_BIN)/javac

include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies
